View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000751OpenFOAM[All Projects] Bugpublic2013-02-19 12:022013-03-14 10:30
ReporterTatuP 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version12.04
Product Version 
Target VersionFixed in Version 
Summary0000751: rhoCentralFoam: diffusion coefficients in the two last terms of energy corrector equation
DescriptionIn my opinion, the thermal diffusion coefficients in the two last terms of the diffusive energy corrector equation in rhoCentralFoam should both be effective. If I understood correctly, the diffusion would be in principle fully taken into account by the first diffusion term. The last two terms are there to drive consistency between energy and temperature, so that e --> CvT + 0.5magSqr(U), and the two terms would cancel each other out in a fully converged solution ( e=Cv*T 0.5magSqr(U) ). Am I correct in this?

If so, shouldn't the second diffusion term have a diffusion coefficient alphaEff (turbulent + laminar) instead of alpha (only laminar)? At the moment the thermal conductivity coefficient (k) is turbulent + laminar. Here's the code:

volScalarField k("k", thermo.Cp()*muEff/Pr); // laminar + turbulent thermal conductivity
solve
(
  fvm::ddt(rho, e) - fvc::ddt(rho, e)
- fvm::laplacian(turbulence->alphaEff(), e) // laminar + turbulent diffusion
+ fvc::laplacian(turbulence->alpha(), e) // laminar diffusion, should be alphaEff?
- fvc::laplacian(k, T) // laminar + turbulent diffusion
);

If I replace the alpha with alphaEff (or comment out the two last terms) in my modified rhoCentralFoam with specie transport for a system I'm considering, I get temperatures consistent with a reactingFoam solution. Am I missing something, or is there a bug?

Tatu
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001929)
henry (manager)
2013-02-19 12:11

There is certainly an issue with the code, either the k should be laminar only and the turbulent part handled by e or if the k is actuall kEff then the alpha sholud be alphaEff to cancel. So the improntant question is what energy/temperature does the turbulence "diffuse"?
(0001933)
Sahas (reporter)
2013-02-20 08:56
edited on: 2013-02-20 09:57

I would like to note: current calculation of k is erroneous because Pr number for turbulent part of k should be Pr_turb ~ 0.9 not Pr_laminar (0.7 for air)

P.S. Apropos: when Cv is constant it is indifferent what to use for turbulent diffuse (e or T) since e=Cv*T

(0001934)
henry (manager)
2013-02-20 10:02

As it happens the handling of thermodynamics and transport in rhoCentralFoam has been updated for the next release which resolves the issue being discussed here.

However, I am happy to correct the version in OpenFOAM-2.1.x once we have agreement on the form of energy/temperature "diffused" by turbulence.

Clearly if Cv is constant it does not matter if T or e is diffused.
(0002004)
henry (manager)
2013-03-14 10:30

Resolved in OpenFOAM-2.2.0 and OpenFOAM-2.2.x

- Issue History
Date Modified Username Field Change
2013-02-19 12:02 TatuP New Issue
2013-02-19 12:11 henry Note Added: 0001929
2013-02-20 08:56 Sahas Note Added: 0001933
2013-02-20 09:57 Sahas Note Edited: 0001933 View Revisions
2013-02-20 10:02 henry Note Added: 0001934
2013-03-14 10:30 henry Note Added: 0002004
2013-03-14 10:30 henry Status new => resolved
2013-03-14 10:30 henry Resolution open => fixed
2013-03-14 10:30 henry Assigned To => henry